<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<ul class="list-group list-group-flush">
	<ng-container *ngFor="let question of questions; index as i">
		<!-- Variant ballot question list -->
		<li
				*ngIf="question.variantBallot && isFirstInVariantBallot(question)"
				class="question--variant-ballot list-group-item px-0"
		>
			<ul class="list-group list-group-flush rounded bg-light border">
				<li
						*ngFor="let variantQuestion of getVariantBallot(question); index as j"
						class="question--container list-group-item bg-light py-4 px-0 mx-3"
				>
					<ng-container
							[ngTemplateOutletContext]="{ question: variantQuestion, index: i + j }"
							[ngTemplateOutlet]="questionDetails"
					></ng-container>
				</li>
			</ul>
		</li>

		<!-- Single question -->
		<li *ngIf="!question.variantBallot" class="question--container list-group-item py-4">
			<ng-container
					[ngTemplateOutletContext]="{ question: question, index: i }"
					[ngTemplateOutlet]="questionDetails"
			></ng-container>
		</li>
	</ng-container>
</ul>

<!-- Question details -->
<ng-template #questionDetails let-index="index" let-question="question">
	<div class="question row gap-3 gap-md-0">
		<div [id]="'question-' + question.id" class="col-md-9">
			<div
					[attr.aria-level]="headingLevel"
					class="fs-5 d-flex gap-1"
					role="heading"
			>
				<p class="question--number mb-0">{{ question.questionNumber }}</p>
				<div class="flex-fill">
					<p
							[innerHTML]="question.text | markdown: { allowLinks: false, allowBlock: false }"
							class="question--title"
					></p>
					<ng-container
							[ngTemplateOutletContext]="getTemplateContext(question, index)"
							[ngTemplateOutlet]="$any(leftColumnTemplate)"
					></ng-container>

				</div>
			</div>

		</div>

		<div class="col">
			<ng-container
					[ngTemplateOutletContext]="getTemplateContext(question, index)"
					[ngTemplateOutlet]="$any(rightColumnTemplate)"
			></ng-container>
		</div>
	</div>
</ng-template>
